Bug 1269603 - Review Request: vim-commentary - Comment stuff out; takes a motion as a target
Review Request: vim-commentary - Comment stuff out; takes a motion as a target
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 12:59 EDT by Vít Ondruch
Modified: 2015-12-02 04:55 EST (History)
2 users (show)

See Also:
Fixed In Version: vim-commentary-1.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 04:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-10-07 12:59:18 EDT
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/vim-commentary.git/tree/vim-commentary.spec?id=ed43acdb963dd0a40e319bca5788be2a6b645582
SRPM URL: http://people.redhat.com/vondruch/vim-commentary-1.2-1.fc24.src.rpm

Description: 
Comment stuff out. Use gcc to comment out a line (takes a count), gc to
comment out the target of a motion (for example, gcap to comment out a
paragraph), and gc in visual mode to comment out the selection. That's it.

Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11359188
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-30 12:30:42 EST
Please link to the raw spec file. Otherwise fedora-review doesn't work ootb.

Yep, looks good. The %description is kind of hard to parse, but I don't use vim, maybe it would make sense if I did.
I think you should change the Summary to be something like "Comment stuff out in vim using ...".

- license is OK
- license file is not present, but that's fine for a 35 line script that uses a common license :)

- requires/provides are ok
- appdata file is present, nice!
- scriptlets are ok
- latest version
- fedora-review doesn't complain
- rpmlint:

vim-commentary.noarch: W: spelling-error %description -l en_US gcc -> cc, g cc
vim-commentary.noarch: W: spelling-error %description -l en_US gc -> cg, g, c
vim-commentary.noarch: W: spelling-error %description -l en_US gcap -> gap, cap, g cap
All OK.

vim-commentary.noarch: W: invalid-url URL: http://www.vim.org/scripts/script.php?script_id=3695 HTTP Error 503: Service Unavailable
Works for me.

Package is APPROVED.
Comment 2 Vít Ondruch 2015-12-01 03:45:32 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Please link to the raw spec file. Otherwise fedora-review doesn't work ootb.

Sorry, this was mistake on my side, since I typically do so

> Yep, looks good. The %description is kind of hard to parse, but I don't use
> vim, maybe it would make sense if I did.

Well, yeah, I know, it could be better, but there is really nothing more to say (but suggestions are welcome :)

> I think you should change the Summary to be something like "Comment stuff
> out in vim using ...".

I'll go with "Comment and uncomments stuff in Vim using motion as a target"

> Package is APPROVED.

Thanks for the review!
Comment 3 Gwyn Ciesla 2015-12-01 08:24:06 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/vim-commentary

Note You need to log in before you can comment on or make changes to this bug.